Oxid 6 - Strato nur Mysql 5.6.37 - Was nun?

oxid6

#1

Hallo,
habe es versucht Oxid 6 ohne Composer zu installieren, bekommen dann Internal Server Error nach Punkt5.
Was kann ich nun machen?

Gruß


#2

Hallo,

  • Die MySQL-Version, die Du in der Überschrift erwähnst, hat nichts mit dem von Dir beschriebenen Problem zu tun.
  • Strato ist gewiss nicht der empfohlene Hosting-Provider.
  • Internal Server Error weist darauf hin, dass z.B. die .htaccess-Datei nicht verarbeitet werden kann.
  • Was genau meinst Du mit “ohne Composer installieren”? Du hast dieses Downloadpaket benutzt? https://oxidforge.org/de/downloadpaket-fuer-oxid-eshop-6-verfuegbar.html

#3

Hallo,
habe warnung bekommen, das es mit 5.6 Probleme kommen.
.htaccess-Datei ist auf 777
Downloadpaket genommen, leider mit Composer problemen, sehe Bild


#4

JA, die Fehlermeldung steht doch da?!


#5

bei Ihnen den selben Problem?


#6

@Namrenner ich habe die gleiche Problem aber lokal habe ich mit mysql 5.7 die Warnung und auch kein Fehler bekommen. Aber mit 5.6 ist es immer noch ein Problem , Bei mir kommt auch die Warnung und dann Fehler wie bei dir. Ich bin auch bei Strato und weiß nicht was ich da machen muss oder soll.

ich bekam Fehlermeldung im Setup Wizard bei letzten Step nach DB angaben. Eingerichtet hatte ich es uber Composer weil der Download link auch nicht funktioniert hat.

@marco.steinhaeuser any idea ??


#7

Composer ist bei Strato nicht verwendbar, erstens gibt es nur PHP-CGI anstatt CLI, zweitens ist der timeout zu kurz. Oxid sollte dann nach dieser Anleitung mit einer lokalen Kopie installiert werden: https://docs.oxid-esales.com/developer/en/6.0/getting_started/installation/eshop_installation_without_composer.html